## Script (Python) "instantiateTemplate"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=templateUID
##title=Instantiate template
##

try:
    templateObject = context.archetype_tool.getObject(templateUID)
except:
    state.setStatus('failure')
    return state.set(portal_status_message='Template not found')

ownerId=context.portal_membership.getAuthenticatedMember().id

targetObject, rootObjects = context.PloneTemplates_tool.instantiateTemplate(templateObject, context, ownerId)

# redirect to first root object
if len(rootObjects)>0:
    state.setContext(rootObjects[0])
    state.setNextAction('redirect_to_action:string:view')

return state.set(portal_status_message="Template '" + templateObject.title_or_id() + "' instantiated.")

