from Products.Archetypes.public import *
from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import *
from Products.CMFCore import CMFCorePermissions
from Products.PloneTemplates.config import *

PloneTemplatesMixinSchema = Schema((
            ReferenceField('templates', 
                     multiValued=1,
                     write_permission=CMFCorePermissions.ManagePortal,
                     allowed_types=('Template',),
                     schemata='Templates',
                     relationship='EnablesTemplate',
                     widget=ReferenceBrowserWidget(label_msgid="label_templates",
                                      description_msgid="help_templates",
                                      i18n_domain="PloneTemplates",
                                      force_close_on_insert=1,
                                      label="", populate=1,  description="")),
        StringField('inheritTemplates',
                     vocabulary=TEMPLATE_INHERIT_MODE,
                     default='1',
                     write_permission=CMFCorePermissions.ManagePortal,
                     enforceVocabulary=1,
                     schemata='Templates',
                     widget=SelectionWidget(label_msgid="label_inheritTemplates",
                                      description_msgid="help_inheritTemplates",
                                      i18n_domain="PloneTemplates",
                                      label="", description=""))
            ))